function Result = DeconvolveLucyRichardson_3D_multiview(H,S,numIter,Model,lambda)
% Now we have cell array H and S
% H - cell array of recorded images
% S - cell array of recorded PSFs for each image in H

%Compute the average Correction factor

C_estimates = H;

for n = 1:numIter
    for i =1:length(H)
        C_estimates{i} = computeCorrectionFactor(Model,H{i},S{i},lambda);%mit TV
    end
    
    C = C_estimates{1};
 
    for i = 2:length(C_estimates)
       C = C_estimates{i} + C;
    end
   
    C = C/length(C_estimates);
    C(C<0)=0;
   
    Model = C.*Model;
    clear C
end

Result = Model;
