function [out1,s1,pointset] = detectBeadsNew(I1,t)


I1(I1<t) = 0;

%Bead extraction
ex=gaussian_distribution3D(3,1,0,1);
%ex=gaussian_distribution3D(5,1,0,1);
gauss_kernel = ex/sum(ex(:));
outim1 = imregionalmax(convn(I1,gauss_kernel,'same'),26);
out1 = detect_big_object(I1);

%exclude the pixels of the fish, we want only the beads
outim1(out1) = 0; 
s1 = sum(outim1(:));
pointset = zeros(s1,3);

count = 1;
for i = 1:size(outim1,1)
    for j = 1:size(outim1,2)
        for k = 1:size(outim1,3)
            if(outim1(i,j,k)>0)
                pointset(count,:) = [i,j,k];
                count = count + 1;
            end
        end
    end
end

end