function C = computeCorrectionFactor(W_old,H,S,lambda)
% W_old - the current estimate of the original image
% H - recorded image
% S - PSF


%eps = 0.0001;

eps = 0.00000001;

B = zeros(size(H));
B(1:size(S,1),1:size(S,2),1:size(S,3)) = S;
B_pad = circshift(B, -floor(size(S)/2));
clear B
fft_B_pad = fftn(B_pad);
clear B_pad
fft_B2_pad = conj(fft_B_pad);


fft_W_old = fftn(W_old);
D = ifftn(fft_B_pad.*fft_W_old);
D(D<eps)=eps;

C = ifftn(fftn(H./D).*fft_B2_pad);
C(D==eps)=1;

clear D   
clear fft_B2_pad
clear fft_B_pad

if lambda > 0
   TV = mydivergence_old(W_old);
   C = C./(1-lambda*TV);
end
