function snr = computeSNR(I,Model)
I = double(I);
Model = double(Model);

% variance of the original image
mu_I = mean(I(:));
N = length(I(:));
sigma_Model = (1/N)*sum((I(:)-mu_I*ones(N,1)).^2);
% variance of noise
sigma_Noise = (1/N)*sum((I(:)-Model(:)).^2);
snr = 10*log10(sigma_Model/sigma_Noise);
